import { AbstractElement, IconLookup, IconName, IconPrefix } from '@fortawesome/fontawesome-svg-core';
export declare class Icon {
    static DEFAULT_ICON: IconLookup;
    pre: IconPrefix;
    name: IconName;
    raw?: string;
    size?: 'xs' | 'sm' | 'lg' | '2x' | '3x' | '5x' | '7x' | '10x';
    fixedWidth?: boolean;
    listItem?: boolean;
    spin?: boolean;
    private get classes();
    componentWillLoad(): void;
    renderIcon(element: AbstractElement): any;
    render(): any;
}
